#version 130
//@see http://www.nicovideo.jp/watch/sm23871006
//put Beam_lv1_Particle.png in same folder/directory

uniform float time;
uniform sampler2D tex;
varying float     alpha;

vec3 MainColor = vec3(0.0, 1.0, 0.0);

void main (void){
	if(alpha <= 0.0) discard;

	vec2  point      = gl_PointCoord - 0.5;
	float theta      = atan(point.t, point.s);
//	float radius     = point.length();//NG!
	float radius     = length(point);
	point = vec2(cos(theta), sin(theta));
	point *= radius;
	point += 0.5;

	gl_FragColor    = texture(tex,          point);

	gl_FragColor.a *= alpha;

	gl_FragColor.a *= (pow(1.0-time, 4.0));

	if(gl_FragColor.a <= 0.0) discard;

	gl_FragColor.rgb *= MainColor*8.0;
}
